
package com.meeting.demo.dependency;

import android.content.res.Configuration;

import com.meeting.demo.utils.DemoUtil;

/**
 * 自定义系统配置切换通知处理类
 */
public class CustomUiConfigChangeHandler implements com.huawei.hwmconf.sdk.dependency.UiConfigChangeHandler {
    @Override
    public void onShareScreenOrientationChanged(Configuration newConfig) {
        DemoUtil.showToast("UiConfigChangeHandler 事件：onShareScreenOrientationChanged 数据会议横竖屏切换:" + newConfig.orientation);
    }

    @Override
    public void onThemeChanged(Configuration newConfig) {
        DemoUtil.showToast("UiConfigChangeHandler 事件：onThemeChanged 悬浮窗场景下主题切换");
    }
}
